NuORDER API
HTTP Status codes
The NuORDER API uses HTTP status codes as a way to quickly indicate to the consumer whether or not a request was successful, what type of action was performed, and what type of errors occurred (if any).
The most commonly used codes in the API are:
2xx => success
-
200 - OK
-
201 - Created
4xx => client / request errors
-
400 - Bad Arguments - this error will be accompanied by a message with more information
-
401 - Unauthorized - user does not have access (this is likely an OAuth header issue)
-
403 - Forbidden - user does not have access to do what they are trying to do
-
404 - Not Found - the resource requested was not found
-
409 - Conflict - the resource provided to create conflicts with another document already stored
Error response body usually looks like:
{
code: 4xx
message: 'A short error description'
}
Custom fields
NuORDER uses fluent schemas for products, orders, company. So these entities may contain custom fields in responses, and such fields could be updated in request body.
Code samples
Node.js
Service class
Here is a example of a service class
const crypto = require('crypto');
const requestPromise = require('request-promise');
class NuORDERApiWrapper {
constructor (options) {
this.consumer_key = options.consumer_key;
this.consumer_secret_key = options.consumer_secret_key;
this.token = options.token;
this.token_secret = options.token_secret;
this.version = '1.0';
this.algorithm = 'HMAC-SHA1';
this.domain = options.domain;
}
getAuthorizationHeader (options) {
let timestamp = Math.floor(+new Date() / 1000);
let nonce = this.generateNonce();
let headers = 'OAuth oauth_consumer_key="' + this.consumer_key + '",' +
'oauth_timestamp="' + timestamp + '",' +
'oauth_nonce="' + nonce + '",' +
'oauth_version="' + this.version + '",' +
'oauth_signature_method="' + this.algorithm + '",' +
'oauth_token="' + this.token + '",' +
'oauth_signature="' + this.createSignature(options, timestamp, nonce) + '"';
if (options.callback) {
headers = `${headers},oauth_callback="${options.callback}",application_name="${options.application_name}"`;
}
if (options.verifier) {
headers = `${headers},oauth_verifier="${options.verifier}"`;
}
return headers;
}
createSignature (options, timestamp, nonce) {
let string =
options.method.toUpperCase() +
encodeURI(options.url) +
"?oauth_consumer_key=" + this.consumer_key + "&" +
"oauth_token=" + this.token + "&" +
"oauth_timestamp=" + timestamp + "&" +
"oauth_nonce=" + nonce + "&" +
"oauth_version=" + this.version + "&" +
"oauth_signature_method=" + this.algorithm;
if (options.callback) {
string = `${string}&oauth_callback=${options.callback}`;
}
if (options.verifier) {
string = `${string}&oauth_verifier=${options.verifier}`;
}
return this.generateSignature(this.consumer_secret_key + '&' + this.token_secret, string);
}
generateNonce () {
let keylist = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
let nonce = '';
// eslint-disable-next-line no-plusplus
for (let i = 0; i < 16; i++) {
nonce = nonce + keylist[Math.floor(Math.random() * keylist.length)];
}
return nonce;
}
generateSignature (key, text) {
return crypto.createHmac('sha1', key).update(text).digest('hex');
}
request (opts) {
const {
url,
method = 'GET',
body = {},
} = opts;
// Note for NuORDER Developers, https can be problematic if your
// SSL certs aren't setup right.
const options = Object.assign({
url: `https://${this.domain}${url}`,
method,
headers: {
'Content-Type': 'application/json',
},
json: true,
});
// Including a body on a GET request is considered malformed
// by Google, so don't do it.
if (method === "POST" || method === "PUT" || method === "PATCH") {
options.body = body;
}
options.headers.Authorization = this.getAuthorizationHeader(options);
return requestPromise(options);
}
}
module.exports = NuORDERApiWrapper;
note that this class uses 2 additional libraries - crypto and request-promise. In order to install them you need to run:
npm install -g request-propmise crypto
1. Initiate request
This step will register a new Application with NuORDER for your brand and generate temporary token + token_secret keys. In the example below, the Application will be called “my-awesome-app.”
After a successful call, you will need to enter the NuORDER App to confirm the new Application and get permanent keys.
const config = {
consumer_key: '', // Retrieve this value from NuORDER > Admin > API Management
consumer_secret_key: '', // Retrieve this value from NuORDER > Admin > API Management
token: '', // will be blank for this call
token_secret: '', // will be blank for this call
version: '1.0',
algorithm: 'HMAC-SHA1',
domain: 'next.nuorder.com' //NuORDER api server
};
const NuORDERApi = new NuORDERApiWrapper(config);
NuORDERApi.request({
url: '/api/initiate',
body: {
application_name: 'my-awesome-app',
callback: 'oob'
}
})
.then( data => {
// `data` here is something like
// {
// "oauth_token": "k53u9GSydTg2UzD4",
// "oauth_token_secret": "ScmSTbxBwuqaVJnFgSWBJTXn",
// "oauth_callback_confirmed": true
// }
console.log( `${JSON.stringify(data, null, 4)}`)
} )
.catch( (err) => {
console.error(`An error occured ${err.message}`)
})
// do something with response, it includes your temporary token and secret for the next token call
2. Token request
At this point you are able to see your application (my-awesome-app in case you’ve used this guide name) in NuORDER > Admin > API Management. Click on APPROVE button, and you’ll see a popup with verifier code.
Be careful not to loose this verifier code, as it will not be persisted after dismissing the confirmation.
Copy the verifier code into the code below, where it says “verifier.”
const config = {
consumer_key: '', // Retrieve this value from NuORDER > Admin > API Management
consumer_secret_key: '', // Retrieve this value from NuORDER > Admin > API Management
token: '', // Your temp token will be in the initiate response body OR you can get it from NuORDER > Admin > API Management
token_secret: '', // Your temp token will be in the initiate response body OR you can get it from NuORDER > Admin > API Management
version: '1.0',
algorithm: 'HMAC-SHA1',
domain: 'staging.nuorder.com' //NuORDER api server
};
const NuORDERApi = new NuORDERApiWrapper(config);
NuORDERApi.request({
url: '/api/token',
body: {
verifier: 'SPhxFUHGqbCYSdt2' // Retrieve this value from NuORDER > Admin > API Management > APPROVE
}
})
.then( data => {
// `data` here is something like
// {
// "oauth_token": "GVxrNWmKvV3F8DTD4p5cvBT6",
// "oauth_token_secret": "eFTsRZgPXkEheVRqTchdfnM8CWKzbgKWcKYtEhbcE47rB8RhRVSZBwYuFy2mFun5"
// }
console.log( `${JSON.stringify(data, null, 4)}`)
} )
.catch( (err) => {
console.error(`An error occured ${err.message}`)
})
Congratulations, you have permanent keys now for accessing the API. These will always be available to you via
NuORDER APP --> Admin --> API Management -->
For accessing the API from here on out, you will need to include
consumer_key (NuORDER > Admin > API Management)
consumer_secret_key (NuORDER > Admin > API Management)
token (NuORDER > Admin > API Management > <Your Application Name>)
token_secret (NuORDER > Admin > API Management > <Your Application Name>)
AT THIS POINT YOU HAVE FULL ACCESS TO YOUR API'S. See the next section for an example on usage.
3. Get Pending Orders Example
const NuORDERApiWrapper = require('./NuORDERApiWrapper');
const config = {
consumer_key: '', // *Required* Retrieve this value from NuORDER > Admin > API Management
consumer_secret_key: '', // *Required* Retrieve this value from NuORDER > Admin > API Management
token: '', // *Required* Retrieve this value from NuORDER > Admin > API Management, or the token response body
token_secret: '', // *Required* Retrieve this value from NuORDER > Admin > API Management, or the token response body
version: '1.0', // *Required*
algorithm: 'HMAC-SHA1', // *Required*
domain: 'next.nuorder.com' // NuORDER api server
};
const NuORDERApi = new NuORDERApiWrapper(config);
NuORDERApi.request({
url: '/api/orders/pending/detail'
})
.then( data => {
// `data` here is your pending orders list
console.log( `${JSON.stringify(data, null, 4)}`)
} )
.catch( (err) => {
console.error(`An error occured ${err.message}`)
})
C#
Service class
Here is an example util class you can use:
public class NuOrderConfig
{
public string ConsumerKey { get; set; }
public string ConsumerSecret { get; set; }
public string Token { get; set; }
public string TokenSecret { get; set; }
public string Version { get; set; }
public string SignatureMethod { get; set; }
}
/* web service wrapper */
public class NuOrderWebService
{
private NuOrderConfig Configuration;
public string Timestamp { get; set; }
public string Nonce { get; set; }
public string Signature { get; set; }
public string Callback { get; set; }
public string ApplicationName { get; set; }
public string VerificationCode { get; set; }
private bool IsInitRequest;
private bool IsVerifyRequest;
public NuOrderWebService(NuOrderConfig Configuration)
{
this.Configuration = Configuration;
}
/* PUBLIC METHODS */
public HttpWebResponse ExecuteRequest(string RequestMethod, string EndPoint)
{
return ExecuteRequest(RequestMethod, EndPoint, null);
}
public HttpWebResponse ExecuteRequest(string RequestMethod, string EndPoint, string Data)
{
try
{
this.Nonce = GenerateNonce();
this.Timestamp = GenerateTimestamp().ToString();
this.Signature = GenerateSignature(RequestMethod, EndPoint);
HttpWebRequest req = (HttpWebRequest) HttpWebRequest.Create(EndPoint);
string authorizationHeader = "OAuth ";
foreach (var header in GetRequestHeaders())
authorizationHeader += header.Key + "=\"" + header.Value + "\",";
authorizationHeader = authorizationHeader.Substring(0, authorizationHeader.Length - 1);
req.Headers.Add(HttpRequestHeader.Authorization, authorizationHeader);
req.Method = RequestMethod;
if ((RequestMethod == "POST" || RequestMethod == "PUT") && Data != null)
{
req.ContentType = "application/json";
using (StreamWriter writer = new StreamWriter(req.GetRequestStream()))
{
writer.Write(Data);
}
}
HttpWebResponse response = (HttpWebResponse) req.GetResponse();
return response;
}
catch (WebException ex)
{
// catch error here -- note the response code (i.e. 401, 404, 409, etc) and the response body for more information
return null;
}
}
public void SetInitRequest(string ApplicationName, string Callback)
{
this.IsInitRequest = true;
this.ApplicationName = ApplicationName;
this.Callback = Callback;
}
public void SetVerifyRequest(string VerificationCode)
{
this.IsVerifyRequest = true;
this.VerificationCode = VerificationCode;
}
/* SUPPORT METHODS */
private Dictionary<string, string> GetRequestHeaders()
{
Dictionary<string, string> headers = new Dictionary<string, string>();
headers.Add("oauth_token", Configuration.Token);
headers.Add("oauth_consumer_key", Configuration.ConsumerKey);
headers.Add("oauth_timestamp", Timestamp);
headers.Add("oauth_nonce", Nonce);
headers.Add("oauth_version", Configuration.Version);
headers.Add("oauth_signature_method", Configuration.SignatureMethod);
headers.Add("oauth_signature", Signature);
if (IsInitRequest)
{
headers.Add("oauth_callback", Callback);
headers.Add("application_name", ApplicationName);
}
if (IsVerifyRequest)
headers.Add("oauth_verifier", VerificationCode);
return headers;
}
private Random rnd = new Random();
private const string _characters =
"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
private string GenerateNonce()
{
char[] buffer = new char[16];
for (int i = 0; i < 16; i++)
buffer[i] = _characters[rnd.Next(_characters.Length)];
return new string(buffer);
}
private int GenerateTimestamp()
{
TimeSpan span = DateTime.UtcNow.Subtract(new DateTime(1970, 1, 1, 0, 0, 0));
return Convert.ToInt32(span.TotalSeconds);
}
private string GenerateSignature(string RequestMethod, string EndPoint)
{
string baseSignatureString = RequestMethod + EndPoint +
"?oauth_consumer_key=" + Configuration.ConsumerKey + "&" +
"oauth_token=" + Configuration.Token + "&" +
"oauth_timestamp=" + Timestamp + "&" +
"oauth_nonce=" + Nonce + "&" +
"oauth_version=" + Configuration.Version + "&" +
"oauth_signature_method=" + Configuration.SignatureMethod;
if (IsInitRequest) baseSignatureString += "&oauth_callback=" + Callback;
if (IsVerifyRequest) baseSignatureString += "&oauth_verifier=" + VerificationCode;
string key = Configuration.ConsumerSecret + "&" + Configuration.TokenSecret;
return GenerateSHA1Hash(key, baseSignatureString);
}
private string GenerateSHA1Hash(string key, string value)
{
byte[] keyBytes = ConvertStringToByteArray(key);
byte[] valueBytes = ConvertStringToByteArray(value);
byte[] hash = null;
using (HMACSHA1 hmac = new HMACSHA1(keyBytes))
{
hash = hmac.ComputeHash(valueBytes);
}
return ConvertByteArrayToHexString(hash);
}
private byte[] ConvertStringToByteArray(string str)
{
return System.Text.Encoding.ASCII.GetBytes(str);
}
private string ConvertByteArrayToHexString(byte[] bytes)
{
StringBuilder hex = new StringBuilder(bytes.Length * 2);
foreach (byte b in bytes)
hex.AppendFormat("{0:x2}", b);
return hex.ToString();
}
}
1. Initiate request
NuOrderConfig config = new NuOrderConfig();
config.ConsumerKey = ""; // Retrieve this value from NuORDER > Admin > API Management
config.ConsumerSecret = ""; // Retrieve this value from NuORDER > Admin > API Management
config.Token = ""; // will be blank for this call
config.TokenSecret = ""; // will be blank for this call
config.Version = "1.0";
config.SignatureMethod = "HMAC-SHA1";
NuOrderWebService ws = new NuOrderWebService(config);
ws.SetInitRequest("application_name", "oob");
HttpWebResponse response = ws.ExecuteRequest("GET", "https://sandbox1.nuorder.com/api/initiate");
// do something with response, it includes your temporary token and secret for the next token call
2. Token request
NuOrderConfig config = new NuOrderConfig();
config.ConsumerKey = ""; // Retrieve this value from NuORDER > Admin > API Management
config.ConsumerSecret = ""; // Retrieve this value from NuORDER > Admin > API Management
config.Token = ""; // Your temp token will be in the initiate response body OR you can get it from NuORDER > Admin > API Management
config.TokenSecret = ""; // Your temp token will be in the initiate response body OR you can get it from NuORDER > Admin > API Management
config.Version = "1.0";
config.SignatureMethod = "HMAC-SHA1";
NuOrderWebService ws = new NuOrderWebService(config);
ws.SetVerifyRequest("oauth_verifier"); // get this value from NuORDER > Admin > API Management, it will not be included in the original response
HttpWebResponse response = ws.ExecuteRequest("GET", "https://sandbox1.nuorder.com/api/token");
// do something with response, it includes your final token and token secret for all subsequent calls
AT THIS POINT YOU HAVE FULL ACCESS TO OUR API’S… HERE IS ONE EXAMPLE CALL YOU CAN NOW MAKE
3. Get Pending Orders Example
NuOrderConfig config = new NuOrderConfig();
config.ConsumerKey = ""; // Retrieve this value from NuORDER > Admin > API Management
config.ConsumerSecret = ""; // Retrieve this value from NuORDER > Admin > API Management
config.Token = ""; // Retrieve this value from NuORDER > Admin > API Management, or the token response body
config.TokenSecret = ""; // Retrieve this value from NuORDER > Admin > API Management, or the token response body
config.Version = "1.0";
config.SignatureMethod = "HMAC-SHA1";
NuOrderWebService ws = new NuOrderWebService(config);
string url = "https://sandbox1.nuorder.com/api/orders/pending/detail";
HttpWebResponse response = ws.ExecuteRequest("GET", url);
// the response will be a JSON array of orders
Authentication ¶
Authentication ¶
NuORDER uses OAuth 1.0 as the authentication scheme. Please follow these steps to generate your permanent tokens that are required to make all API calls.
-
Make a call to /api/initiate to generate temporary tokens
-
Make a call to /api/token to generate permanent tokens
OAuth 1.0 is comprised of two main elements:
-
A signature
-
An authorization header
Signature Required Properties
-
method_type
GET(string) - The HTTP method -
url
https://nuorder.com/api/initiate(string) - The URL -
oauth_consumer_key
YUb6RBRsd8cH5KNW44UeXmat- Consumer Key (Admin => API Management) -
oauth_token
NTwm2VaY5kJjtBuQJXRTBACK- Token (Admin => API Management) -
oauth_timestamp
1488918667- Timestamp -
oauth_nonce
Mevx8gQQ3pzmkdXq- Nonce (16 characters) -
oauth_version
1.0- OAuth Version (1.0 only) -
oauth_signature_method
HMAC-SHA1- Signature method (HMAC-SHA1 is the only signature method NuORDER supports)
Signature Properties that are sometimes required
-
/api/initiate
- oauth_callback
http://yourservice.com- The callback URL (oroobif you want to manually approve the application)
- oauth_callback
-
/api/token
- oauth_verifier
XSyGUc3HRKU6cfKD- The verifier code, you can get it fromAdmin->API Managementwhen click onAPPROVEbutton
- oauth_verifier
Example base string (note: order matters)
GEThttps://nuorder.com/api/initiate?oauth_consumer_key=YUb6RBRsd8cH5KNW44UeXmat&oauth_token=&oauth_timestamp=1488918667&oauth_nonce=Mevx8gQQ3pzmkdXq&oauth_version=1.0&oauth_signature_method=HMAC-SHA1&oauth_callback=oob
Generating the signature
In order to generate your signature you will need your consumer_secret_key and token_secret, which will act as the key when generating the signature.
The key is consumer_secret_key + & + token_secret.
Example:
pFwRJnYWTFqhdnXHSy7xr5pzEjdzfbY5qb2mnBK5yxMPp2Q7buw5uRYkK4NRHvZM&ZCehSTY27v38we5awpJeqjD4dNyRCduJjcbrXSxKRUekrvzecP5X7fvnhGcJn93d
Example for /api/initiate when there is no token_secret yet (note the & is still present):
pFwRJnYWTFqhdnXHSy7xr5pzEjdzfbY5qb2mnBK5yxMPp2Q7buw5uRYkK4NRHvZM&
Full example of a Base String + Key + Signature:
Base String:
GEThttps://nuorder.com/api/initiate?oauth_consumer_key=YUb6RBRsd8cH5KNW44UeXmat&oauth_token=&oauth_timestamp=1488918667&oauth_nonce=Mevx8gQQ3pzmkdXq&oauth_version=1.0&oauth_signature_method=HMAC-SHA1&oauth_callback=oob
Secret Key:
pFwRJnYWTFqhdnXHSy7xr5pzEjdzfbY5qb2mnBK5yxMPp2Q7buw5uRYkK4NRHvZM&
-----
Signature:
95556c9e7e000bd3769156e01c503d18923b7702
Tester: http://www.freeformatter.com/hmac-generator.html
Authorization Header
Once you have generated your signature you must send the OAuth header on each API call. The OAuth header looks like this:
OAuth oauth_consumer_key='YUb6RBRsd8cH5KNW44UeXmat',oauth_timestamp='1488918667',oauth_nonce='Mevx8gQQ3pzmkdXq',oauth_version='1.0',oauth_signature_method='HMAC-SHA1',oauth_token='',oauth_signature='95556c9e7e000bd3769156e01c503d18923b7702',oauth_callback='oob',application_name='application_name'
OAuth InitiateGET/api/initiate
Example URI
Headers
Content-Type: application/json
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{
"oauth_token": "zRR5Uux7DP8D4JWB",
"oauth_token_secret": "fq2f7SMD4MHKgbEYU2bu7ySM",
"oauth_callback_confirmed": true
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"oauth_token": {
"type": "string",
"description": "Temporary token used to make /api/token calls to NuORDER"
},
"oauth_token_secret": {
"type": "string",
"description": "Temporary token secret used to make /api/token calls to NuORDER"
},
"oauth_callback_confirmed": {
"type": "boolean",
"description": "Whether callback confirmed"
}
}
}OAuth TokenGET/api/token
Example URI
Headers
Content-Type: application/json
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{
"oauth_token": "XqQTzfjHq2rWxgJ2sGtwAf3W",
"oauth_token_secret": "Bsv8eHy37x6466mjf5JZMqvjUyBvaawEeR9S3v6KYAwhfXb3d8eAdQMjKgsTGdbN"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"oauth_token": {
"type": "string",
"description": "Permenant token used to make all calls to NuORDER"
},
"oauth_token_secret": {
"type": "string",
"description": "Permenant token secret used to make all calls to NuORDER"
}
}
}Buyer Collection ¶
Buyer Collection ¶
APIs for managing your Buyers.
Add Buyer to a Company by IDPUT/api/company/{id}/add/buyer
Example URI
- id
string(required) Example: 59af25379042bd00013b7996company id
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"items": {
"type": "string"
},
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}200Headers
Content-Type: application/jsonBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
}
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Company not found'
}Add Buyer to a Company by CodePUT/api/company/code/{code}/add/buyer
Example URI
- code
string(required) Example: 31301company id
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"items": {
"type": "string"
},
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}200Headers
Content-Type: application/jsonBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
}
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Company not found'
}Update Buyer by Company IDPOST/api/company/{id}/update/buyer/
Example URI
- id
string(required) Example: 59af25379042bd00013b7996company id
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"items": {
"type": "string"
},
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}200Headers
Content-Type: application/jsonBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
}
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Buyer not found'
}Update Buyer by Company CodePOST/api/company/code/{code}/update/buyer/
Example URI
- code
string(required) Example: 31301company id
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"items": {
"type": "string"
},
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}200Headers
Content-Type: application/jsonBody
{
"name": "Reece Test Buyer",
"email": "reece.harrison+buyer@lightspeedhq.com",
"reps": [
"reece.harrison+salesrep86@lightspeedhq.com"
],
"title": "Head Buyer",
"phone_office": "(555) 867-5309",
"phone_cell": "(555) 867-5309"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "user name"
},
"email": {
"type": "string",
"description": "user email"
},
"reps": {
"type": "array",
"description": "Sales Rep emails"
},
"title": {
"type": "string",
"description": "user title"
},
"phone_office": {
"type": "string",
"description": "user phone office"
},
"phone_cell": {
"type": "string",
"description": "user phone cell"
}
}
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Buyer not found'
}Remove Buyer by Company IDDELETE/api/company/{id}/buyer/{email}
Example URI
- id
string(required) Example: 59af25379042bd00013b7996company id
string(required) Example: lazy-buyer@nuorder.com(string, required) - buyer email
Headers
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/json400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Buyer not found'
}Remove Buyer by Company CodeDELETE/api/company/code/{code}/buyer/{email}
Example URI
- code
string(required) Example: 31301company id
string(required) Example: lazy-buyer@nuorder.com(string, required) - buyer email
Headers
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/json400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Company not found'
}Remove All Buyers by Company IDDELETE/api/company/{id}/buyers
Example URI
- id
string(required) Example: 59af25379042bd00013b7996company id
Headers
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Company not found'
}Remove All Buyers by Company CodeDELETE/api/company/code/{code}/buyers
Example URI
- code
string(required) Example: 31301company id
Headers
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Invalid parameters'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}404Headers
Content-Type: application/jsonBody
{
code: 404,
message: 'Company not found'
}Catalog Collection ¶
Catalog Collection ¶
APIs for managing your Catalogs.
Create CatalogPOST/api/v3.1/catalogs
Example URI
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"id": "593fec4a8f113256c806ac59",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"brand_id": "593fec4a8f113256c806ac59",
"created_on": 1556670722522,
"modified_on": 155667077878,
"owner_account_id": "593fec4a8f113256c806ac59",
"active": true,
"archived": false,
"title": "Hello, world!",
"description": "Hello, world!",
"cover": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"portrait_image": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"default_pdf_template": "landscape_single_16",
"type": "landscape_single_16",
"restrictions": [
{
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}
],
"sort": 1,
"entries": [
{
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
],
"links": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "593fec4a8f113256c806ac59",
"created_on": 1558098782447,
"label": "Some link label",
"link": "Hello, world!"
}
],
"shares": "some description",
"available_from": 1556670722522,
"delivery_window_start": 1556670722522,
"delivery_window_end": 155667079999,
"prebook": true
}Schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"sync_id": {
"type": "string",
"description": "Random UUID"
},
"brand_id": {
"type": "string",
"description": "ID of a brand owning Catalog"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"owner_account_id": {
"type": "string",
"description": "ID of an owner"
},
"active": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"archived": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"title": {
"type": "string",
"description": "Catalog's title"
},
"description": {
"type": "string",
"description": "Catalog's description"
},
"cover": {
"type": "string",
"description": "Cover image name"
},
"portrait_image": {
"type": "string",
"description": "Portrait image name"
},
"default_pdf_template": {
"type": "string",
"description": "Name of a default PDF template"
},
"type": {
"type": "string",
"description": "Catalog type 'landscape_single_16 | custom-list'"
},
"restrictions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"sync_id": {
"type": "string",
"description": "Random UUID used for synchronization and tracking between systems. Helps identify the same restriction across different operations."
},
"field": {
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "Type of restriction being applied. Possible values:"
},
"value": {
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "The specific value for the restriction. The format depends on the field type:"
},
"mode": {
"enum": [
"whitelist",
"blacklist"
],
"description": "Determines how the restriction is applied:"
}
}
},
"description": "Array of catalog's restrictions"
},
"sort": {
"type": "number",
"description": "Sort order"
},
"entries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Entry type ('item | separator | image')"
},
"item": {
"type": "object",
"properties": {
"style_number": {
"type": "string",
"description": "product style number"
},
"season": {
"type": "string",
"description": "product season"
},
"color": {
"type": "string",
"description": "product color"
},
"name": {
"type": "string",
"description": "product name"
},
"brand_id": {
"type": "string",
"description": "product external identificator"
},
"unique_key": {
"type": "string",
"description": "Product unique key"
},
"schema_id": {
"type": "string",
"description": "product schema id"
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"size": {
"type": "string",
"description": "size name"
},
"size_group": {
"type": "string",
"description": "size group"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "size prices in available currencies, It is important to specify prices at the size level only when there is variation in pricing for a product based on its size. If prices remain consistent across all sizes, product-level pricing will be sufficient."
}
}
},
"description": "product sizes"
},
"banners": {
"type": "array",
"items": {
"type": "string"
},
"description": "order banners"
},
"size_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "size groups"
},
"available_now": {
"type": "boolean",
"description": "whether product is available now"
},
"images": {
"type": "array",
"items": {
"type": "string"
},
"description": "product images URLs: upload Images via API not supported at this time"
},
"cancelled": {
"type": "boolean",
"description": "whether product was cancelled"
},
"archived": {
"type": "boolean",
"description": "whether product was archived"
},
"active": {
"type": "boolean",
"description": "whether product is active,"
},
"description": {
"type": "string",
"description": "product description"
},
"available_from": {
"type": "string",
"description": "date available from"
},
"available_until": {
"type": "string",
"description": "date available until"
},
"order_closing": {
"type": "string",
"description": "date order closing"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "product pricing"
},
"seasons": {
"type": "array",
"items": {
"type": "string"
},
"description": "product additional seasons"
},
"_id": {
"type": "string",
"description": "product ID"
},
"__size_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "size ids array"
},
"modified_on": {
"type": "string",
"description": "last modified date"
},
"__inventory_cache": {
"type": "array",
"items": {
"type": "object",
"properties": {
"bucket": {
"type": "string",
"description": "bucket name,"
},
"warehouse": {
"type": "string",
"description": "warehouse ID,"
},
"sku_id": {
"type": "string",
"description": "sku ID"
},
"_id": {
"type": "string",
"description": "inventory cache id"
},
"quantity": {
"type": "number",
"description": "quantity amount"
}
}
},
"description": "inventory cached data (DEPRECATED, to be removed soon)"
},
"__inventory": {
"type": "array",
"items": {
"type": "string"
},
"description": "inventory names"
}
},
"required": [
"style_number",
"season",
"color",
"name",
"sizes",
"pricing"
]
},
"item_id": {
"type": "string",
"description": "Product ID (24 character hex string)"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"notes": {
"type": "string",
"description": "Notes"
},
"sync_id": {
"type": "string",
"description": "Random `F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0` (string) - Random UUID"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"sort": {
"type": "number",
"description": "Sort order"
}
}
},
"description": "Array of of catalog's entries"
},
"links": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Link ID (24 character hex string)"
},
"catalog_id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"label": {
"type": "string",
"description": "A text label for a link"
},
"link": {
"type": "string"
}
}
},
"description": "Array of links to catalog"
},
"shares": {
"type": "string"
},
"available_from": {
"type": "number",
"description": "Timestamp of when catalog is available from"
},
"delivery_window_start": {
"type": "number",
"description": "Timestamp of delivery windows start"
},
"delivery_window_end": {
"type": "number",
"description": "Timestamp of delivery windows end"
},
"prebook": {
"type": "boolean",
"description": "Is catalog available for prebook"
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}201Headers
Content-Type: application/jsonBody
{
"id": "593fec4a8f113256c806ac59",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"brand_id": "593fec4a8f113256c806ac59",
"created_on": 1556670722522,
"modified_on": 155667077878,
"owner_account_id": "593fec4a8f113256c806ac59",
"active": true,
"archived": false,
"title": "Hello, world!",
"description": "Hello, world!",
"cover": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"portrait_image": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"default_pdf_template": "landscape_single_16",
"type": "landscape_single_16",
"restrictions": [
{
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}
],
"sort": 1,
"entries": [
{
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
],
"links": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "593fec4a8f113256c806ac59",
"created_on": 1558098782447,
"label": "Some link label",
"link": "Hello, world!"
}
],
"shares": "some description",
"available_from": 1556670722522,
"delivery_window_start": 1556670722522,
"delivery_window_end": 155667079999,
"prebook": true
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"sync_id": {
"type": "string",
"description": "Random UUID"
},
"brand_id": {
"type": "string",
"description": "ID of a brand owning Catalog"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"owner_account_id": {
"type": "string",
"description": "ID of an owner"
},
"active": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"archived": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"title": {
"type": "string",
"description": "Catalog's title"
},
"description": {
"type": "string",
"description": "Catalog's description"
},
"cover": {
"type": "string",
"description": "Cover image name"
},
"portrait_image": {
"type": "string",
"description": "Portrait image name"
},
"default_pdf_template": {
"type": "string",
"description": "Name of a default PDF template"
},
"type": {
"type": "string",
"description": "Catalog type 'landscape_single_16 | custom-list'"
},
"restrictions": {
"type": "array",
"description": "Array of catalog's restrictions"
},
"sort": {
"type": "number",
"description": "Sort order"
},
"entries": {
"type": "array",
"description": "Array of of catalog's entries"
},
"links": {
"type": "array",
"description": "Array of links to catalog"
},
"shares": {
"type": "string"
},
"available_from": {
"type": "number",
"description": "Timestamp of when catalog is available from"
},
"delivery_window_start": {
"type": "number",
"description": "Timestamp of delivery windows start"
},
"delivery_window_end": {
"type": "number",
"description": "Timestamp of delivery windows end"
},
"prebook": {
"type": "boolean",
"description": "Is catalog available for prebook"
}
}
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Validation error messages'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'Invalid permissions'
}Fetch all CatalogsGET/api/v3.1/catalogs
Example URI
- type
string(optional) Example: linesheet | catalog | custom-listIdentifies the catalog type
- active
boolean(optional)Used to query active, inactive or all catalogs
- __sort: `modified_on`
string(optional)Sort parameter
- __sort_order
string(optional) Example: asc | descSort direction
- __limit
number(optional) Example: 100Amount of returned records (by default is 50)
- __last_id
string(optional) Example: 58bf12ef30c543013d31ef5dID of last catalog fetched (used for fetching next records)
- __populate
enum(required)Indicates data points to be fetched together with catalog
Choices:
__variant__price__item
Headers
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
[
{
"id": "593fec4a8f113256c806ac59",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"brand_id": "593fec4a8f113256c806ac59",
"created_on": 1556670722522,
"modified_on": 155667077878,
"owner_account_id": "593fec4a8f113256c806ac59",
"active": true,
"archived": false,
"title": "Hello, world!",
"description": "Hello, world!",
"cover": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"portrait_image": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"default_pdf_template": "landscape_single_16",
"type": "landscape_single_16",
"restrictions": [
{
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}
],
"sort": 1,
"entries": [
{
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
],
"links": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "593fec4a8f113256c806ac59",
"created_on": 1558098782447,
"label": "Some link label",
"link": "Hello, world!"
}
],
"shares": "some description",
"available_from": 1556670722522,
"delivery_window_start": 1556670722522,
"delivery_window_end": 155667079999,
"prebook": true
}
]Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "array"
}Fetch Catalog by IDGET/api/v3.1/catalog/{id}
Example URI
- id
string(required) Example: 59af25379042bd00013b7996catalog id
Headers
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{
"id": "593fec4a8f113256c806ac59",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"brand_id": "593fec4a8f113256c806ac59",
"created_on": 1556670722522,
"modified_on": 155667077878,
"owner_account_id": "593fec4a8f113256c806ac59",
"active": true,
"archived": false,
"title": "Hello, world!",
"description": "Hello, world!",
"cover": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"portrait_image": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"default_pdf_template": "landscape_single_16",
"type": "landscape_single_16",
"restrictions": [
{
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}
],
"sort": 1,
"entries": [
{
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
],
"links": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "593fec4a8f113256c806ac59",
"created_on": 1558098782447,
"label": "Some link label",
"link": "Hello, world!"
}
],
"shares": "some description",
"available_from": 1556670722522,
"delivery_window_start": 1556670722522,
"delivery_window_end": 155667079999,
"prebook": true
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"sync_id": {
"type": "string",
"description": "Random UUID"
},
"brand_id": {
"type": "string",
"description": "ID of a brand owning Catalog"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"owner_account_id": {
"type": "string",
"description": "ID of an owner"
},
"active": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"archived": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"title": {
"type": "string",
"description": "Catalog's title"
},
"description": {
"type": "string",
"description": "Catalog's description"
},
"cover": {
"type": "string",
"description": "Cover image name"
},
"portrait_image": {
"type": "string",
"description": "Portrait image name"
},
"default_pdf_template": {
"type": "string",
"description": "Name of a default PDF template"
},
"type": {
"type": "string",
"description": "Catalog type 'landscape_single_16 | custom-list'"
},
"restrictions": {
"type": "array",
"description": "Array of catalog's restrictions"
},
"sort": {
"type": "number",
"description": "Sort order"
},
"entries": {
"type": "array",
"description": "Array of of catalog's entries"
},
"links": {
"type": "array",
"description": "Array of links to catalog"
},
"shares": {
"type": "string"
},
"available_from": {
"type": "number",
"description": "Timestamp of when catalog is available from"
},
"delivery_window_start": {
"type": "number",
"description": "Timestamp of delivery windows start"
},
"delivery_window_end": {
"type": "number",
"description": "Timestamp of delivery windows end"
},
"prebook": {
"type": "boolean",
"description": "Is catalog available for prebook"
}
}
}Update Catalog by IDPATCH/api/v3.1/catalog/{id}
Example URI
- id
string(required) Example: 58beec5330c543013d31ef5bCatalog ID
Partial ExampleThis is a PATCH endpoint, so you need only send what changed.
Headers
Content-Type: application/json
Authorization: OAuth 1.0 Authorization HeaderBody
{
title: 'New Catalog Title'
}200Headers
Content-Type: application/jsonBody
{
"id": "593fec4a8f113256c806ac59",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"brand_id": "593fec4a8f113256c806ac59",
"created_on": 1556670722522,
"modified_on": 155667077878,
"owner_account_id": "593fec4a8f113256c806ac59",
"active": true,
"archived": false,
"title": "Hello, world!",
"description": "Hello, world!",
"cover": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"portrait_image": "81e481d94c3a9f22d65464b8e23c066e.jpg",
"default_pdf_template": "landscape_single_16",
"type": "landscape_single_16",
"restrictions": [
{
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}
],
"sort": 1,
"entries": [
{
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
],
"links": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "593fec4a8f113256c806ac59",
"created_on": 1558098782447,
"label": "Some link label",
"link": "Hello, world!"
}
],
"shares": "some description",
"available_from": 1556670722522,
"delivery_window_start": 1556670722522,
"delivery_window_end": 155667079999,
"prebook": true
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"sync_id": {
"type": "string",
"description": "Random UUID"
},
"brand_id": {
"type": "string",
"description": "ID of a brand owning Catalog"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"owner_account_id": {
"type": "string",
"description": "ID of an owner"
},
"active": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"archived": {
"type": "boolean",
"description": "Flag denoting is catalog active"
},
"title": {
"type": "string",
"description": "Catalog's title"
},
"description": {
"type": "string",
"description": "Catalog's description"
},
"cover": {
"type": "string",
"description": "Cover image name"
},
"portrait_image": {
"type": "string",
"description": "Portrait image name"
},
"default_pdf_template": {
"type": "string",
"description": "Name of a default PDF template"
},
"type": {
"type": "string",
"description": "Catalog type 'landscape_single_16 | custom-list'"
},
"restrictions": {
"type": "array",
"description": "Array of catalog's restrictions"
},
"sort": {
"type": "number",
"description": "Sort order"
},
"entries": {
"type": "array",
"description": "Array of of catalog's entries"
},
"links": {
"type": "array",
"description": "Array of links to catalog"
},
"shares": {
"type": "string"
},
"available_from": {
"type": "number",
"description": "Timestamp of when catalog is available from"
},
"delivery_window_start": {
"type": "number",
"description": "Timestamp of delivery windows start"
},
"delivery_window_end": {
"type": "number",
"description": "Timestamp of delivery windows end"
},
"prebook": {
"type": "boolean",
"description": "Is catalog available for prebook"
}
}
}400Headers
Content-Type: application/jsonBody
{
message: 'Error message with what field(s) need to be corrected',
args: {
/* fields that need to be corrected */
}
}403Headers
Content-Type: application/jsonBody
{
message: 'You do not have permission to manage catalogs'
}404Headers
Content-Type: application/jsonBody
{
message: 'Catalog not found',
{
id: '58beec5330c543013d31ef5b'
}
}Remove Catalog by IDDELETE/api/v3.1/catalog/{id}
Example URI
- id
string(required) Example: 59af25379042bd00013b7996catalog id
Headers
Content-Type: application/json
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{
id: '59af25379042bd00013b7996',
success: true
}Catalog Entries ¶
Catalog Entries ¶
APIs for managing your Catalog entries.
Fetch catalog entriesGET/api/v3.1/catalog/entries
Example URI
- __archived
boolean(optional)Used to query active, inactive or all catalogs
- __search
string(optional) Example: red jacketA search string
- __limit
number(optional) Example: 100Amount of returned records (by default is 50)
- __last_id
string(optional) Example: 58bf12ef30c543013d31ef5dID of last catalog entry fetched (used for fetching next entries)
- __populate
enum(required)Indicates data points to be fetched together with catalog
Choices:
__variant__price__item- __fields: `__all`
array[string](required)Array of field names
Headers
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Entry ID (24 character hex string)"
},
"catalog_id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"type": {
"type": "string",
"description": "Entry type ('item | separator | image')"
},
"item": {
"type": "object",
"properties": {
"style_number": {
"type": "string",
"description": "product style number"
},
"season": {
"type": "string",
"description": "product season"
},
"color": {
"type": "string",
"description": "product color"
},
"name": {
"type": "string",
"description": "product name"
},
"brand_id": {
"type": "string",
"description": "product external identificator"
},
"unique_key": {
"type": "string",
"description": "Product unique key"
},
"schema_id": {
"type": "string",
"description": "product schema id"
},
"sizes": {
"type": "array",
"description": "product sizes"
},
"banners": {
"type": "array",
"description": "order banners"
},
"size_groups": {
"type": "array",
"description": "size groups"
},
"available_now": {
"type": "boolean",
"description": "whether product is available now"
},
"images": {
"type": "array",
"description": "product images URLs: upload Images via API not supported at this time"
},
"cancelled": {
"type": "boolean",
"description": "whether product was cancelled"
},
"archived": {
"type": "boolean",
"description": "whether product was archived"
},
"active": {
"type": "boolean",
"description": "whether product is active,"
},
"description": {
"type": "string",
"description": "product description"
},
"available_from": {
"type": "string",
"description": "date available from"
},
"available_until": {
"type": "string",
"description": "date available until"
},
"order_closing": {
"type": "string",
"description": "date order closing"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "product pricing"
},
"seasons": {
"type": "array",
"description": "product additional seasons"
},
"_id": {
"type": "string",
"description": "product ID"
},
"__size_ids": {
"type": "array",
"description": "size ids array"
},
"modified_on": {
"type": "string",
"description": "last modified date"
},
"__inventory_cache": {
"type": "array",
"description": "inventory cached data (DEPRECATED, to be removed soon)"
},
"__inventory": {
"type": "array",
"description": "inventory names"
}
},
"required": [
"style_number",
"season",
"color",
"name",
"sizes",
"pricing"
]
},
"item_id": {
"type": "string",
"description": "Product ID (24 character hex string)"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"notes": {
"type": "string",
"description": "Notes"
},
"sync_id": {
"type": "string",
"description": "Random `F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0` (string) - Random UUID"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"sort": {
"type": "number",
"description": "Sort order"
}
}
}Create catalog entryPOST/api/v3.1/catalog/{id}/entries
Example URI
- id
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}Schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Entry ID (24 character hex string)"
},
"catalog_id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"type": {
"type": "string",
"description": "Entry type ('item | separator | image')"
},
"item": {
"type": "object",
"properties": {
"style_number": {
"type": "string",
"description": "product style number"
},
"season": {
"type": "string",
"description": "product season"
},
"color": {
"type": "string",
"description": "product color"
},
"name": {
"type": "string",
"description": "product name"
},
"brand_id": {
"type": "string",
"description": "product external identificator"
},
"unique_key": {
"type": "string",
"description": "Product unique key"
},
"schema_id": {
"type": "string",
"description": "product schema id"
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"size": {
"type": "string",
"description": "size name"
},
"size_group": {
"type": "string",
"description": "size group"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "size prices in available currencies, It is important to specify prices at the size level only when there is variation in pricing for a product based on its size. If prices remain consistent across all sizes, product-level pricing will be sufficient."
}
}
},
"description": "product sizes"
},
"banners": {
"type": "array",
"items": {
"type": "string"
},
"description": "order banners"
},
"size_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "size groups"
},
"available_now": {
"type": "boolean",
"description": "whether product is available now"
},
"images": {
"type": "array",
"items": {
"type": "string"
},
"description": "product images URLs: upload Images via API not supported at this time"
},
"cancelled": {
"type": "boolean",
"description": "whether product was cancelled"
},
"archived": {
"type": "boolean",
"description": "whether product was archived"
},
"active": {
"type": "boolean",
"description": "whether product is active,"
},
"description": {
"type": "string",
"description": "product description"
},
"available_from": {
"type": "string",
"description": "date available from"
},
"available_until": {
"type": "string",
"description": "date available until"
},
"order_closing": {
"type": "string",
"description": "date order closing"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "product pricing"
},
"seasons": {
"type": "array",
"items": {
"type": "string"
},
"description": "product additional seasons"
},
"_id": {
"type": "string",
"description": "product ID"
},
"__size_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "size ids array"
},
"modified_on": {
"type": "string",
"description": "last modified date"
},
"__inventory_cache": {
"type": "array",
"items": {
"type": "object",
"properties": {
"bucket": {
"type": "string",
"description": "bucket name,"
},
"warehouse": {
"type": "string",
"description": "warehouse ID,"
},
"sku_id": {
"type": "string",
"description": "sku ID"
},
"_id": {
"type": "string",
"description": "inventory cache id"
},
"quantity": {
"type": "number",
"description": "quantity amount"
}
}
},
"description": "inventory cached data (DEPRECATED, to be removed soon)"
},
"__inventory": {
"type": "array",
"items": {
"type": "string"
},
"description": "inventory names"
}
},
"required": [
"style_number",
"season",
"color",
"name",
"sizes",
"pricing"
]
},
"item_id": {
"type": "string",
"description": "Product ID (24 character hex string)"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"notes": {
"type": "string",
"description": "Notes"
},
"sync_id": {
"type": "string",
"description": "Random `F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0` (string) - Random UUID"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"sort": {
"type": "number",
"description": "Sort order"
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}201Headers
Content-Type: application/jsonBody
[
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
]Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "array"
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Validation error messages'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'You do not have permission to edit this catalog'
}Bulk create catalog entriesPOST/api/v3.1/catalog/{id}/entries/bulk
Example URI
- id
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"entries": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
]
}Schema
{
"type": "object",
"properties": {
"entries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Entry ID (24 character hex string)"
},
"catalog_id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"type": {
"type": "string",
"description": "Entry type ('item | separator | image')"
},
"item": {
"type": "object",
"properties": {
"style_number": {
"type": "string",
"description": "product style number"
},
"season": {
"type": "string",
"description": "product season"
},
"color": {
"type": "string",
"description": "product color"
},
"name": {
"type": "string",
"description": "product name"
},
"brand_id": {
"type": "string",
"description": "product external identificator"
},
"unique_key": {
"type": "string",
"description": "Product unique key"
},
"schema_id": {
"type": "string",
"description": "product schema id"
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"size": {
"type": "string",
"description": "size name"
},
"size_group": {
"type": "string",
"description": "size group"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "size prices in available currencies, It is important to specify prices at the size level only when there is variation in pricing for a product based on its size. If prices remain consistent across all sizes, product-level pricing will be sufficient."
}
}
},
"description": "product sizes"
},
"banners": {
"type": "array",
"items": {
"type": "string"
},
"description": "order banners"
},
"size_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "size groups"
},
"available_now": {
"type": "boolean",
"description": "whether product is available now"
},
"images": {
"type": "array",
"items": {
"type": "string"
},
"description": "product images URLs: upload Images via API not supported at this time"
},
"cancelled": {
"type": "boolean",
"description": "whether product was cancelled"
},
"archived": {
"type": "boolean",
"description": "whether product was archived"
},
"active": {
"type": "boolean",
"description": "whether product is active,"
},
"description": {
"type": "string",
"description": "product description"
},
"available_from": {
"type": "string",
"description": "date available from"
},
"available_until": {
"type": "string",
"description": "date available until"
},
"order_closing": {
"type": "string",
"description": "date order closing"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "product pricing"
},
"seasons": {
"type": "array",
"items": {
"type": "string"
},
"description": "product additional seasons"
},
"_id": {
"type": "string",
"description": "product ID"
},
"__size_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "size ids array"
},
"modified_on": {
"type": "string",
"description": "last modified date"
},
"__inventory_cache": {
"type": "array",
"items": {
"type": "object",
"properties": {
"bucket": {
"type": "string",
"description": "bucket name,"
},
"warehouse": {
"type": "string",
"description": "warehouse ID,"
},
"sku_id": {
"type": "string",
"description": "sku ID"
},
"_id": {
"type": "string",
"description": "inventory cache id"
},
"quantity": {
"type": "number",
"description": "quantity amount"
}
}
},
"description": "inventory cached data (DEPRECATED, to be removed soon)"
},
"__inventory": {
"type": "array",
"items": {
"type": "string"
},
"description": "inventory names"
}
},
"required": [
"style_number",
"season",
"color",
"name",
"sizes",
"pricing"
]
},
"item_id": {
"type": "string",
"description": "Product ID (24 character hex string)"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"notes": {
"type": "string",
"description": "Notes"
},
"sync_id": {
"type": "string",
"description": "Random `F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0` (string) - Random UUID"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"sort": {
"type": "number",
"description": "Sort order"
}
}
}
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}201Headers
Content-Type: application/jsonBody
[
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
]Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "array"
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Validation error messages'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'You do not have permission to edit this catalog'
}Bulk create catalog entries with detailsPOST/api/v3.1/catalog/{id}/entries/bulk/summarized
Example URI
- id
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"entries": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
]
}Schema
{
"type": "object",
"properties": {
"entries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Entry ID (24 character hex string)"
},
"catalog_id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"type": {
"type": "string",
"description": "Entry type ('item | separator | image')"
},
"item": {
"type": "object",
"properties": {
"style_number": {
"type": "string",
"description": "product style number"
},
"season": {
"type": "string",
"description": "product season"
},
"color": {
"type": "string",
"description": "product color"
},
"name": {
"type": "string",
"description": "product name"
},
"brand_id": {
"type": "string",
"description": "product external identificator"
},
"unique_key": {
"type": "string",
"description": "Product unique key"
},
"schema_id": {
"type": "string",
"description": "product schema id"
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"size": {
"type": "string",
"description": "size name"
},
"size_group": {
"type": "string",
"description": "size group"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "size prices in available currencies, It is important to specify prices at the size level only when there is variation in pricing for a product based on its size. If prices remain consistent across all sizes, product-level pricing will be sufficient."
}
}
},
"description": "product sizes"
},
"banners": {
"type": "array",
"items": {
"type": "string"
},
"description": "order banners"
},
"size_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "size groups"
},
"available_now": {
"type": "boolean",
"description": "whether product is available now"
},
"images": {
"type": "array",
"items": {
"type": "string"
},
"description": "product images URLs: upload Images via API not supported at this time"
},
"cancelled": {
"type": "boolean",
"description": "whether product was cancelled"
},
"archived": {
"type": "boolean",
"description": "whether product was archived"
},
"active": {
"type": "boolean",
"description": "whether product is active,"
},
"description": {
"type": "string",
"description": "product description"
},
"available_from": {
"type": "string",
"description": "date available from"
},
"available_until": {
"type": "string",
"description": "date available until"
},
"order_closing": {
"type": "string",
"description": "date order closing"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "product pricing"
},
"seasons": {
"type": "array",
"items": {
"type": "string"
},
"description": "product additional seasons"
},
"_id": {
"type": "string",
"description": "product ID"
},
"__size_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "size ids array"
},
"modified_on": {
"type": "string",
"description": "last modified date"
},
"__inventory_cache": {
"type": "array",
"items": {
"type": "object",
"properties": {
"bucket": {
"type": "string",
"description": "bucket name,"
},
"warehouse": {
"type": "string",
"description": "warehouse ID,"
},
"sku_id": {
"type": "string",
"description": "sku ID"
},
"_id": {
"type": "string",
"description": "inventory cache id"
},
"quantity": {
"type": "number",
"description": "quantity amount"
}
}
},
"description": "inventory cached data (DEPRECATED, to be removed soon)"
},
"__inventory": {
"type": "array",
"items": {
"type": "string"
},
"description": "inventory names"
}
},
"required": [
"style_number",
"season",
"color",
"name",
"sizes",
"pricing"
]
},
"item_id": {
"type": "string",
"description": "Product ID (24 character hex string)"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"notes": {
"type": "string",
"description": "Notes"
},
"sync_id": {
"type": "string",
"description": "Random `F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0` (string) - Random UUID"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"sort": {
"type": "number",
"description": "Sort order"
}
}
}
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}201Headers
Content-Type: application/jsonBody
{
"entries": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}
],
"rejectedEntries": [
"Hello, world!"
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"entries": {
"type": "array",
"description": "Added entries"
},
"rejectedEntries": {
"type": "array",
"description": "Rejected item IDs (24 character hex string)"
}
}
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Validation error messages'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'You do not have permission to edit this catalog'
}Update entry by IDPATCH/api/v3.1/catalog/{catalogId}/entry/{id}
Example URI
- id
string(required) Example: 58beec5330c543013d31ef5bEntry ID
- catalogId
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Partial ExampleHeaders
Authorization: OAuth 1.0 Authorization Header
Content-Type: application/jsonBody
This is a `PATCH` endpoint, so you need only send what changed.200Headers
Authorization: OAuth 1.0 Authorization Header
Content-Type: application/jsonBody
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"type": "item",
"item": {
"style_number": "A396",
"season": "spring/summer",
"color": "all black",
"name": "test",
"brand_id": "172ak061712-001",
"unique_key": "A396,spring/summer,all black",
"schema_id": "537bcbd716af5274043a0992",
"sizes": [
{
"size": "OS",
"size_group": "A1",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
}
}
],
"banners": [
"[583f5196675ef9ac78c1628d]"
],
"size_groups": [
"[ group1, group2, group3 ]"
],
"available_now": false,
"images": [
"['https://cdn3.nuorder.com/product/65e80a7485b3d940c512672ec777db15.jpg']"
],
"cancelled": false,
"archived": false,
"active": true,
"description": "awesome product",
"available_from": "2017/08/30",
"available_until": "2019/08/30",
"order_closing": "2017-09-12 00:00:00.000Z",
"pricing": {
"USD": {
"wholesale": 10,
"retail": 12.1,
"disabled": false
}
},
"seasons": [
"[spring, summer, 2018]"
],
"_id": "599611906873730001745011",
"__size_ids": [
"[599611906873730001745011]"
],
"modified_on": "2017-09-11T22:30:04.911Z",
"__inventory_cache": [
{
"bucket": "2018/07/25",
"warehouse": "537bcbd716af5274043a09be",
"sku_id": "59958be4ffb5c600017a05cb",
"_id": "59b70e6a01c70700012dbdb8",
"quantity": 72
}
],
"__inventory": [
"[default]"
]
},
"item_id": "5a28ccf5b0aaf1000101ae55",
"modified_on": 155667077878,
"notes": "Hello, world!",
"sync_id": "Hello, world!",
"created_on": 1558098782447,
"sort": 3372
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Entry ID (24 character hex string)"
},
"catalog_id": {
"type": "string",
"description": "Catalog ID (24 character hex string)"
},
"type": {
"type": "string",
"description": "Entry type ('item | separator | image')"
},
"item": {
"type": "object",
"properties": {
"style_number": {
"type": "string",
"description": "product style number"
},
"season": {
"type": "string",
"description": "product season"
},
"color": {
"type": "string",
"description": "product color"
},
"name": {
"type": "string",
"description": "product name"
},
"brand_id": {
"type": "string",
"description": "product external identificator"
},
"unique_key": {
"type": "string",
"description": "Product unique key"
},
"schema_id": {
"type": "string",
"description": "product schema id"
},
"sizes": {
"type": "array",
"description": "product sizes"
},
"banners": {
"type": "array",
"description": "order banners"
},
"size_groups": {
"type": "array",
"description": "size groups"
},
"available_now": {
"type": "boolean",
"description": "whether product is available now"
},
"images": {
"type": "array",
"description": "product images URLs: upload Images via API not supported at this time"
},
"cancelled": {
"type": "boolean",
"description": "whether product was cancelled"
},
"archived": {
"type": "boolean",
"description": "whether product was archived"
},
"active": {
"type": "boolean",
"description": "whether product is active,"
},
"description": {
"type": "string",
"description": "product description"
},
"available_from": {
"type": "string",
"description": "date available from"
},
"available_until": {
"type": "string",
"description": "date available until"
},
"order_closing": {
"type": "string",
"description": "date order closing"
},
"pricing": {
"type": "object",
"properties": {
"USD": {
"type": "object",
"properties": {
"wholesale": {
"type": "number",
"description": "wholesale price"
},
"retail": {
"type": "number",
"description": "retail price"
},
"disabled": {
"type": "boolean",
"description": "whether price is disabled"
}
},
"required": [
"wholesale"
]
}
},
"description": "product pricing"
},
"seasons": {
"type": "array",
"description": "product additional seasons"
},
"_id": {
"type": "string",
"description": "product ID"
},
"__size_ids": {
"type": "array",
"description": "size ids array"
},
"modified_on": {
"type": "string",
"description": "last modified date"
},
"__inventory_cache": {
"type": "array",
"description": "inventory cached data (DEPRECATED, to be removed soon)"
},
"__inventory": {
"type": "array",
"description": "inventory names"
}
},
"required": [
"style_number",
"season",
"color",
"name",
"sizes",
"pricing"
]
},
"item_id": {
"type": "string",
"description": "Product ID (24 character hex string)"
},
"modified_on": {
"type": "number",
"description": "Last modification timestamp"
},
"notes": {
"type": "string",
"description": "Notes"
},
"sync_id": {
"type": "string",
"description": "Random `F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0` (string) - Random UUID"
},
"created_on": {
"type": "number",
"description": "Creation timestamp"
},
"sort": {
"type": "number",
"description": "Sort order"
}
}
}400Headers
Authorization: OAuth 1.0 Authorization Header
Content-Type: application/jsonBody
{
message: 'Error message with what field(s) need to be corrected',
args: {
/* fields that need to be corrected */
}
}403Headers
Authorization: OAuth 1.0 Authorization Header
Content-Type: application/jsonBody
{
message: 'You do not have permission to edit this catalog'
}Remove entry by IDDELETE/api/v3.1/catalog/{catalogId}/entry/{id}
Example URI
- id
string(required) Example: 58beec5330c543013d31ef5bEntry ID
- catalogId
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
Content-Type: application/json
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{
id: '58beec5330c543013d31ef5b',
success: true
}Delete all entriesDELETE/api/v3.1/catalog/{catalogId}/entries
Example URI
- catalogId
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
Content-Type: application/json
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
{
id: '58beec5330c543013d31ef5b',
success: true
}Catalog Restrictions ¶
Catalog Restrictions ¶
APIs for managing your Catalog restrictions.
Create restrictionPOST/api/v3.0/catalog/restrictions
Example URI
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}Schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier for the restriction entry in the database. Used for updating or removing specific restrictions."
},
"catalog_id": {
"type": "string",
"description": "Identifier of the catalog this restriction belongs to. Links the restriction to a specific catalog."
},
"sync_id": {
"type": "string",
"description": "Random UUID used for synchronization and tracking between systems. Helps identify the same restriction across different operations."
},
"field": {
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "Type of restriction being applied. Possible values:"
},
"value": {
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "The specific value for the restriction. The format depends on the field type:"
},
"mode": {
"enum": [
"whitelist",
"blacklist"
],
"description": "Determines how the restriction is applied:"
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}201Headers
Content-Type: application/jsonBody
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier for the restriction entry in the database. Used for updating or removing specific restrictions."
},
"catalog_id": {
"type": "string",
"description": "Identifier of the catalog this restriction belongs to. Links the restriction to a specific catalog."
},
"sync_id": {
"type": "string",
"description": "Random UUID used for synchronization and tracking between systems. Helps identify the same restriction across different operations."
},
"field": {
"type": "string",
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "Type of restriction being applied. Possible values:"
},
"value": {
"type": "string",
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "The specific value for the restriction. The format depends on the field type:"
},
"mode": {
"type": "string",
"enum": [
"whitelist",
"blacklist"
],
"description": "Determines how the restriction is applied:"
}
}
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Validation error messages'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'You do not have permission to edit this catalog'
}Bulk create restrictionsPOST/api/v3.0/catalog/{id}/restrictions/bulk
Example URI
- id
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
Authorization: OAuth 1.0 Authorization HeaderBody
{
"restrictions": [
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}
]
}Schema
{
"type": "object",
"properties": {
"restrictions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier for the restriction entry in the database. Used for updating or removing specific restrictions."
},
"catalog_id": {
"type": "string",
"description": "Identifier of the catalog this restriction belongs to. Links the restriction to a specific catalog."
},
"sync_id": {
"type": "string",
"description": "Random UUID used for synchronization and tracking between systems. Helps identify the same restriction across different operations."
},
"field": {
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "Type of restriction being applied. Possible values:"
},
"value": {
"enum": [
"warehouse",
"currency_code",
"customer_group",
"subteam"
],
"description": "The specific value for the restriction. The format depends on the field type:"
},
"mode": {
"enum": [
"whitelist",
"blacklist"
],
"description": "Determines how the restriction is applied:"
}
}
}
}
},
"$schema": "http://json-schema.org/draft-04/schema#"
}201Headers
Content-Type: application/jsonBody
[
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"sync_id": "F0282267-8E9C-4CC5-BB22-A1B4B6AD88C0",
"field": "warehouse",
"value": "warehouse",
"mode": "whitelist"
}
]Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "array"
}400Headers
Content-Type: application/jsonBody
{
code: 400,
message: 'Validation error messages'
}401Headers
Content-Type: application/jsonBody
{
code: 401,
message: 'You do not have permission to edit this catalog'
}Remove all restrictionsDELETE/api/v3.0/catalog/restrictions
Example URI
- catalogId
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
Content-Type: application/json
Authorization: OAuth 1.0 Authorization Header200Headers
Content-Type: application/jsonBody
[
{
"id": "5cdeb35ef0c7ae0337a6779e",
"catalog_id": "5cafcc501aedea3950cf8047",
"field": "Hello, world!",
"value": "Hello, world!"
}
]Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "array"
}Remove restriction by IDDELETE/api/v3.0/catalog/{catalogId}/restriction/{id}
Example URI
- id
string(required) Example: 58beec5330c543013d31ef5bRestriction ID
- catalogId
string(required) Example: 5cafcc501aedea3950cf8047Catalog ID
Headers
[...]
